=== modified file 'INSTALL'
--- INSTALL	2009-02-15 09:28:06 +0000
+++ INSTALL	2009-01-27 00:07:26 +0000
@@ -39,7 +39,7 @@
 *** Mandos Server
     + GnuTLS 2.4          http://www.gnu.org/software/gnutls/
     + Avahi 0.6.16        http://www.avahi.org/
-    + Python 2.5          http://www.python.org/
+    + Python 2.4          http://www.python.org/
     + Python-GnuTLS 1.1.5 http://pypi.python.org/pypi/python-gnutls/
     + dbus-python 0.82.4  http://dbus.freedesktop.org/doc/dbus-python/
     + python-ctypes 1.0.0 http://pypi.python.org/pypi/ctypes

=== modified file 'Makefile'
--- Makefile	2009-02-25 01:31:13 +0000
+++ Makefile	2009-02-09 02:01:13 +0000
@@ -16,7 +16,7 @@
 OPTIMIZE=-Os
 LANGUAGE=-std=gnu99
 htmldir=man
-version=1.0.8
+version=1.0.5
 SED=sed
 
 ## Use these settings for a traditional /usr/local install
@@ -39,9 +39,8 @@
 GNUTLS_LIBS=$(shell libgnutls-config --libs)
 AVAHI_CFLAGS=$(shell pkg-config --cflags-only-I avahi-core)
 AVAHI_LIBS=$(shell pkg-config --libs avahi-core)
-GPGME_CFLAGS=$(shell gpgme-config --cflags; getconf LFS_CFLAGS)
-GPGME_LIBS=$(shell gpgme-config --libs; getconf LFS_LIBS; \
-	getconf LFS_LDFLAGS)
+GPGME_CFLAGS=$(shell gpgme-config --cflags)
+GPGME_LIBS=$(shell gpgme-config --libs)
 
 # Do not change these two
 CFLAGS=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) $(OPTIMIZE) \
@@ -152,7 +151,7 @@
 # Update all these files with version number $(version)
 common.ent: Makefile
 	$(SED) --in-place \
-		--expression='s/^\(<!ENTITY version "\)[^"]*">$$/\1$(version)">/' \
+		--expression='s/^\(<ENTITY VERSION "\)[^"]*">$$/\1$(version)"/' \
 		$@
 
 mandos: Makefile

=== modified file 'NEWS'
--- NEWS	2009-02-25 01:31:13 +0000
+++ NEWS	2009-01-17 02:12:05 +0000
@@ -1,42 +1,6 @@
 This NEWS file records noteworthy changes, very tersely.
 See the manual for detailed information.
 
-Version 1.0.8 (2009-02-25)
-* Client
-** Bug fix: Fix missing quote characters in initramfs-tools-hook.
-
-Version 1.0.7 (2009-02-24)
-* Client
-** Bug fix: Do not depend on GNU awk.
-
-Version 1.0.6 (2009-02-13)
-* Server
-** Fix bug where server would stop responding, with a zombie checker
-** Support for disabling IPv6 (only for advanced users)
-** Fix bug which made server not change group ID
-
-* Client
-** Bug fix: Fix permission for /lib64 (on relevant architechtures).
-** Add support for IPv4 addresses.
-** Add support in mandos-client for not bringing up a network
-   interface by specifying an empty string to "--interface".
-** Make password prompt on boot not be mangled by kernel log messages
-   about network interface.
-** Get network interface from initramfs.conf and/or from kernel
-   command line.
-** If set by "ip=" kernel command line, configure network on boot.
-** Support connecting directly using "mandos=connect" kernel command.
-   line option, provided network is configured using "ip=".
-** Fix bug which made plugin-runner and mandos-client not change group
-   ID.
-** Fix bug where the "--options-for" option of plugin-runner would
-   truncate the value at the first colon character.
-** Fix bug where plugin-runner would not go to fallback if all plugins
-   failed.
-** Fix bug where mandos-client would not clean temporary directory on
-   a signal or on certain file systems.
-** Bug fix: remove bashism in /bin/sh script "mandos-keygen".
-
 Version 1.0.5 (2009-01-17)
 * Client
 ** Fix small memory leak in plugin-runner.

=== modified file 'README'
--- README	2009-02-23 11:52:42 +0000
+++ README	2009-01-12 22:02:33 +0000
@@ -134,15 +134,13 @@
   In the early designs, the mandos-client(8mandos) program (which
   retrieves a password from the Mandos server) also prompted for a
   password on the terminal, in case a Mandos server could not be
-  found.  Other ways of retrieving a password could easily be
-  envisoned, but this multiplicity of purpose was seen to be too
-  complex to be a viable way to continue.  Instead, the original
-  program was separated into mandos-client(8mandos) and
-  password-prompt(8mandos), and a plugin-runner(8mandos) exist to run
-  them both in parallel, allowing the first successful plugin to
-  provide the password.  This opened up for any number of additional
-  plugins to run, all competing to be the first to find a password and
-  provide it to the plugin runner.
+  found.  This duality of purpose was seen to be too complex to be a
+  viable way to continue.  Instead, the programs are now separated
+  into mandos-client(8mandos) and password-prompt(8mandos), and a
+  plugin-runner(8mandos) exist to run them both in parallel, allowing
+  the first plugin to succeed to provide the password.  This opened up
+  for any number of additional plugins to run, all competing to be the
+  first to find a password and provide it to the plugin runner.
   
   Three additional plugins are provided:
   * usplash(8mandos)
@@ -154,7 +152,7 @@
     cryptsetup, this plugin listens to the same FIFO as askpass would
     do.
   
-  More plugins can easily be written and added by the system
+  More plugins could easily be written and added by the system
   administrator; see the section called "WRITING PLUGINS" in
   plugin-runner(8mandos) to learn the plugin requirements.
 

=== modified file 'common.ent'
--- common.ent	2009-02-25 01:31:13 +0000
+++ common.ent	2008-09-30 07:23:39 +0000
@@ -1,3 +1,3 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!-- Edited by Makefile -->
-<!ENTITY version "1.0.8">
+<!ENTITY version "1.0">

=== modified file 'debian/changelog'
--- debian/changelog	2009-02-25 01:31:13 +0000
+++ debian/changelog	2009-01-17 02:12:05 +0000
@@ -1,38 +1,3 @@
-mandos (1.0.8-1) unstable; urgency=low
-
-  * New upstream release.
-
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Wed, 25 Feb 2009 02:26:57 +0100
-
-mandos (1.0.7-1) unstable; urgency=low
-
-  * New upstream release.
-
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Tue, 24 Feb 2009 12:58:06 +0100
-
-mandos (1.0.6-1) unstable; urgency=low
-
-  * New upstream release.
-  * debian/mandos-client.postinst: Converted to Bourne shell.  Also
-    minor message change.
-  * debian/mandos-client.postrm: Minor message change.
-  * debian/mandos.postinst: Converted to Bourne shell.  Also minor
-    message change.
-  * debian/mandos.prerm: Minor message change.
-  * debian/rules (install-indep): Removed "--no-start" from
-    dh_installinit.
-  * debian/mandos-client.lintian-overrides: Remove obsolete override for
-    unbreakable line in plugin-runner manual page.
-  * debian/control (mandos/Depends): Added "python-gobject".
-  * debian/mandos-client.dirs: Change
-    "usr/share/initramfs-tools/scripts/local-top" to
-    "usr/share/initramfs-tools/scripts/init-premount".
-  * debian/mandos-client.README.Debian: Add reference to initramfs.conf
-    and nfsroot.txt.  New section about the new non-local connection
-    feature.
-
- -- Teddy Hogeborn <teddy@fukt.bsnet.se>  Fri, 13 Feb 2009 09:27:25 +0100
-
 mandos (1.0.5-1) unstable; urgency=low
 
   * New upstream release.

=== modified file 'initramfs-tools-hook'
--- initramfs-tools-hook	2009-03-11 01:06:17 +0000
+++ initramfs-tools-hook	2009-02-09 02:13:58 +0000
@@ -55,12 +55,12 @@
 		|| getent passwd mandos \
 		|| getent passwd nobody \
 		|| echo ::65534::::; } \
-	| cut --delimiter=: --fields=3 --only-delimited`"
+	| awk --field-separator=: '{ print $3 }'`" 
 mandos_group="`{ getent group _mandos \
 		|| getent group mandos \
 		|| getent group nogroup \
 		|| echo ::65534:; } \
-	| cut --delimiter=: --fields=3 --only-delimited`"
+	| awk --field-separator=: '{ print $3 }'`"
 
 # The Mandos network client uses the network
 auto_add_modules net
@@ -92,7 +92,7 @@
     fi
     case "$base" in
 	*~|.*|\#*\#|*.dpkg-old|*.dpkg-bak|*.dpkg-new|*.dpkg-divert) : ;;
-	*/"*") echo "W: Mandos client plugin directory is empty." >&2 ;;
+	"*") : ;;
 	*) copy_exec "$file" "${PLUGINDIR}" ;;
     esac
 done
@@ -102,7 +102,7 @@
     base="`basename \"$file\"`"
     case "$base" in
 	*~|.*|\#*\#|*.dpkg-old|*.dpkg-bak|*.dpkg-new|*.dpkg-divert) : ;;
-	*/"*") : ;;
+	"*") : ;;
 	*) copy_exec "$file" "${PLUGINDIR}" ;;
     esac
 done

=== modified file 'mandos'
--- mandos	2009-03-15 04:22:14 +0000
+++ mandos	2009-02-13 05:38:21 +0000
@@ -66,7 +66,7 @@
 import ctypes
 import ctypes.util
 
-version = "1.0.8"
+version = "1.0.5"
 
 logger = logging.Logger('mandos')
 syslogger = (logging.handlers.SysLogHandler
@@ -205,7 +205,6 @@
                      client lives.  %() expansions are done at
                      runtime with vars(self) as dict, so that for
                      instance %(name)s can be used in the command.
-    current_checker_command: string; current running checker_command
     use_dbus: bool(); Whether to provide D-Bus interface and signals
     dbus_object_path: dbus.ObjectPath ; only set if self.use_dbus
     """
@@ -260,7 +259,6 @@
         self.disable_initiator_tag = None
         self.checker_callback_tag = None
         self.checker_command = config["checker"]
-        self.current_checker_command = None
         self.last_connect = None
         # Only now, when this client is initialized, can it show up on
         # the D-Bus
@@ -381,16 +379,6 @@
         # checkers alone, the checker would have to take more time
         # than 'timeout' for the client to be declared invalid, which
         # is as it should be.
-        
-        # If a checker exists, make sure it is not a zombie
-        if self.checker is not None:
-            pid, status = os.waitpid(self.checker.pid, os.WNOHANG)
-            if pid:
-                logger.warning("Checker was a zombie")
-                gobject.source_remove(self.checker_callback_tag)
-                self.checker_callback(pid, status,
-                                      self.current_checker_command)
-        # Start a new checker if needed
         if self.checker is None:
             try:
                 # In case checker_command has exactly one % operator
@@ -406,7 +394,6 @@
                     logger.error(u'Could not format string "%s":'
                                  u' %s', self.checker_command, error)
                     return True # Try again later
-                self.current_checker_command = command
             try:
                 logger.info(u"Starting checker %r for %s",
                             command, self.name)
@@ -678,109 +665,82 @@
     def handle(self):
         logger.info(u"TCP connection from: %s",
                     unicode(self.client_address))
-        logger.debug(u"Pipe: %d", self.server.pipe[1])
-        # Open IPC pipe to parent process
-        with closing(os.fdopen(self.server.pipe[1], "w", 1)) as ipc:
-            session = (gnutls.connection
-                       .ClientSession(self.request,
-                                      gnutls.connection
-                                      .X509Credentials()))
-            
-            line = self.request.makefile().readline()
-            logger.debug(u"Protocol version: %r", line)
-            try:
-                if int(line.strip().split()[0]) > 1:
-                    raise RuntimeError
-            except (ValueError, IndexError, RuntimeError), error:
-                logger.error(u"Unknown protocol version: %s", error)
-                return
-            
-            # Note: gnutls.connection.X509Credentials is really a
-            # generic GnuTLS certificate credentials object so long as
-            # no X.509 keys are added to it.  Therefore, we can use it
-            # here despite using OpenPGP certificates.
-            
-            #priority = ':'.join(("NONE", "+VERS-TLS1.1",
-            #                     "+AES-256-CBC", "+SHA1",
-            #                     "+COMP-NULL", "+CTYPE-OPENPGP",
-            #                     "+DHE-DSS"))
-            # Use a fallback default, since this MUST be set.
-            priority = self.server.settings.get("priority", "NORMAL")
-            (gnutls.library.functions
-             .gnutls_priority_set_direct(session._c_object,
-                                         priority, None))
-            
-            try:
-                session.handshake()
-            except gnutls.errors.GNUTLSError, error:
-                logger.warning(u"Handshake failed: %s", error)
-                # Do not run session.bye() here: the session is not
-                # established.  Just abandon the request.
-                return
-            logger.debug(u"Handshake succeeded")
-            try:
-                fpr = fingerprint(peer_certificate(session))
-            except (TypeError, gnutls.errors.GNUTLSError), error:
-                logger.warning(u"Bad certificate: %s", error)
-                session.bye()
-                return
-            logger.debug(u"Fingerprint: %s", fpr)
-            
-            for c in self.server.clients:
-                if c.fingerprint == fpr:
-                    client = c
-                    break
-            else:
-                logger.warning(u"Client not found for fingerprint: %s",
-                               fpr)
-                ipc.write("NOTFOUND %s\n" % fpr)
-                session.bye()
-                return
-            # Have to check if client.still_valid(), since it is
-            # possible that the client timed out while establishing
-            # the GnuTLS session.
-            if not client.still_valid():
-                logger.warning(u"Client %(name)s is invalid",
-                               vars(client))
-                ipc.write("INVALID %s\n" % client.name)
-                session.bye()
-                return
-            ipc.write("SENDING %s\n" % client.name)
-            sent_size = 0
-            while sent_size < len(client.secret):
-                sent = session.send(client.secret[sent_size:])
-                logger.debug(u"Sent: %d, remaining: %d",
-                             sent, len(client.secret)
-                             - (sent_size + sent))
-                sent_size += sent
-            session.bye()
-
-
-class ForkingMixInWithPipe(SocketServer.ForkingMixIn, object):
-    """Like SocketServer.ForkingMixIn, but also pass a pipe.
-    Assumes a gobject.MainLoop event loop.
-    """
-    def process_request(self, request, client_address):
-        """This overrides and wraps the original process_request().
-        This function creates a new pipe in self.pipe 
-        """
-        self.pipe = os.pipe()
-        super(ForkingMixInWithPipe,
-              self).process_request(request, client_address)
-        os.close(self.pipe[1])  # close write end
-        # Call "handle_ipc" for both data and EOF events
-        gobject.io_add_watch(self.pipe[0],
-                             gobject.IO_IN | gobject.IO_HUP,
-                             self.handle_ipc)
-    def handle_ipc(source, condition):
-        """Dummy function; override as necessary"""
-        os.close(source)
-        return False
-
-
-class IPv6_TCPServer(ForkingMixInWithPipe,
+        session = (gnutls.connection
+                   .ClientSession(self.request,
+                                  gnutls.connection
+                                  .X509Credentials()))
+        
+        line = self.request.makefile().readline()
+        logger.debug(u"Protocol version: %r", line)
+        try:
+            if int(line.strip().split()[0]) > 1:
+                raise RuntimeError
+        except (ValueError, IndexError, RuntimeError), error:
+            logger.error(u"Unknown protocol version: %s", error)
+            return
+        
+        # Note: gnutls.connection.X509Credentials is really a generic
+        # GnuTLS certificate credentials object so long as no X.509
+        # keys are added to it.  Therefore, we can use it here despite
+        # using OpenPGP certificates.
+        
+        #priority = ':'.join(("NONE", "+VERS-TLS1.1", "+AES-256-CBC",
+        #                     "+SHA1", "+COMP-NULL", "+CTYPE-OPENPGP",
+        #                     "+DHE-DSS"))
+        # Use a fallback default, since this MUST be set.
+        priority = self.server.settings.get("priority", "NORMAL")
+        (gnutls.library.functions
+         .gnutls_priority_set_direct(session._c_object,
+                                     priority, None))
+        
+        try:
+            session.handshake()
+        except gnutls.errors.GNUTLSError, error:
+            logger.warning(u"Handshake failed: %s", error)
+            # Do not run session.bye() here: the session is not
+            # established.  Just abandon the request.
+            return
+        logger.debug(u"Handshake succeeded")
+        try:
+            fpr = fingerprint(peer_certificate(session))
+        except (TypeError, gnutls.errors.GNUTLSError), error:
+            logger.warning(u"Bad certificate: %s", error)
+            session.bye()
+            return
+        logger.debug(u"Fingerprint: %s", fpr)
+        
+        for c in self.server.clients:
+            if c.fingerprint == fpr:
+                client = c
+                break
+        else:
+            logger.warning(u"Client not found for fingerprint: %s",
+                           fpr)
+            session.bye()
+            return
+        # Have to check if client.still_valid(), since it is possible
+        # that the client timed out while establishing the GnuTLS
+        # session.
+        if not client.still_valid():
+            logger.warning(u"Client %(name)s is invalid",
+                           vars(client))
+            session.bye()
+            return
+        ## This won't work here, since we're in a fork.
+        # client.checked_ok()
+        sent_size = 0
+        while sent_size < len(client.secret):
+            sent = session.send(client.secret[sent_size:])
+            logger.debug(u"Sent: %d, remaining: %d",
+                         sent, len(client.secret)
+                         - (sent_size + sent))
+            sent_size += sent
+        session.bye()
+
+
+class IPv6_TCPServer(SocketServer.ForkingMixIn,
                      SocketServer.TCPServer, object):
-    """IPv6-capable TCP server.  Accepts 'None' as address and/or port
+    """IPv6-capable TCP server.  Accepts 'None' as address and/or port.
     Attributes:
         settings:       Server settings
         clients:        Set() of Client objects
@@ -843,40 +803,6 @@
             return super(IPv6_TCPServer, self).server_activate()
     def enable(self):
         self.enabled = True
-    def handle_ipc(self, source, condition, file_objects={}):
-        logger.debug("Handling IPC: %r : %r", source, condition)
-        
-        # Turn a file descriptor into a Python file object
-        if source not in file_objects:
-            file_objects[source] = os.fdopen(source, "r", 1)
-        
-        # Read a line from the file object
-        cmdline = file_objects[source].readline()
-        if not cmdline:             # Empty line means end of file
-            # close the IPC pipe
-            logger.debug("Closing: %r", source)
-            file_objects[source].close()
-            del file_objects[source]
-
-            # Stop calling this function
-            return False
-        
-        logger.debug("IPC command: %r\n" % cmdline)
-        
-        # Parse and act on command
-        cmd, args = cmdline.split(None, 1)
-        if cmd == "NOTFOUND":
-            pass                # xxx
-        elif cmd == "INVALID":
-            pass                # xxx
-        elif cmd == "SENDING":
-            pass                # xxx
-            # client.checked_ok()
-        else:
-            logger.error("Unknown IPC command: %r", cmdline)
-        
-        # Keep calling this function
-        return True
 
 
 def string_to_delta(interval):

=== modified file 'mandos-clients.conf.xml'
--- mandos-clients.conf.xml	2009-02-15 09:09:27 +0000
+++ mandos-clients.conf.xml	2009-01-08 03:54:06 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos-clients.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/clients.conf</filename>">
-<!ENTITY TIMESTAMP "2009-02-15">
+<!ENTITY TIMESTAMP "2009-01-08">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -257,7 +257,7 @@
 	    This option is <emphasis>optional</emphasis>, but highly
 	    <emphasis>recommended</emphasis> unless the
 	    <option>checker</option> option is modified to a
-	    non-standard value without <quote>%%(host)s</quote> in it.
+	    non-standard value without <quote>%(host)s</quote> in it.
 	  </para>
 	  <para>
 	    Host name for this client.  This is not used by the server

=== modified file 'mandos-ctl'
--- mandos-ctl	2009-02-25 01:31:13 +0000
+++ mandos-ctl	2009-02-06 01:15:52 +0000
@@ -31,7 +31,7 @@
 server_path = '/'
 server_interface = domain + '.Mandos'
 client_interface = domain + '.Mandos.Client'
-version = "1.0.8"
+version = "1.0.5"
 bus = dbus.SystemBus()
 mandos_dbus_objc = bus.get_object(busname, server_path)
 mandos_serv = dbus.Interface(mandos_dbus_objc,

=== modified file 'mandos-keygen'
--- mandos-keygen	2009-02-25 01:31:13 +0000
+++ mandos-keygen	2009-01-17 09:46:54 +0000
@@ -21,7 +21,7 @@
 # Contact the authors at <mandos@fukt.bsnet.se>.
 # 
 
-VERSION="1.0.8"
+VERSION="1.0.5"
 
 KEYDIR="/etc/keys/mandos"
 KEYTYPE=DSA

=== modified file 'mandos.conf.xml'
--- mandos.conf.xml	2009-02-25 01:14:29 +0000
+++ mandos.conf.xml	2009-02-13 05:38:21 +0000
@@ -3,7 +3,7 @@
 	"http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY CONFNAME "mandos.conf">
 <!ENTITY CONFPATH "<filename>/etc/mandos/mandos.conf</filename>">
-<!ENTITY TIMESTAMP "2009-02-25">
+<!ENTITY TIMESTAMP "2009-02-13">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -237,7 +237,7 @@
 	      <para>
 		The clients use IPv6 link-local addresses, which are
 		immediately usable since a link-local addresses is
-		automatically assigned to a network interface when it
+		automatically assigned to a network interfaces when it
 		is brought up.
 	      </para>
 	    </listitem>

=== modified file 'mandos.lsm'
--- mandos.lsm	2009-02-25 01:31:13 +0000
+++ mandos.lsm	2009-01-17 02:12:05 +0000
@@ -1,7 +1,7 @@
 Begin4
 Title:		Mandos
-Version:	1.0.8
-Entered-date:	2009-02-25
+Version:	1.0.5
+Entered-date:	2009-01-17
 Description:	The Mandos system allows computers to have encrypted
 root file systems and at the same time be capable of remote and/or
 unattended reboots.
@@ -12,10 +12,10 @@
 Maintained-by:	teddy@fukt.bsnet.se (Teddy Hogeborn),
 		belorn@fukt.bsnet.se (Björn Påhlsson)
 Primary-site: http://www.fukt.bsnet.se/mandos
-	      98K mandos_1.0.8.orig.tar.gz
+	      94K mandos_1.0.5.orig.tar.gz
 Alternate-site: ftp://ftp.fukt.bsnet.se/pub/mandos
-		98K mandos_1.0.8.orig.tar.gz
-Platforms:	Requires GCC, GNU libC, Avahi, GnuPG, Python 2.5, and
+		94K mandos_1.0.5.orig.tar.gz
+Platforms:	Requires GCC, GNU libC, Avahi, GnuPG, Python 2.4, and
 various other libraries.  While made for Debian GNU/Linux, it is
 probably portable to other distributions, but not other Unixes.
 Copying-policy: GNU General Public License version 3.0 or later

=== modified file 'mandos.xml'
--- mandos.xml	2009-02-25 01:47:45 +0000
+++ mandos.xml	2009-02-13 05:38:21 +0000
@@ -2,7 +2,7 @@
 <!DOCTYPE refentry PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
 "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
 <!ENTITY COMMANDNAME "mandos">
-<!ENTITY TIMESTAMP "2009-02-15">
+<!ENTITY TIMESTAMP "2009-02-13">
 <!ENTITY % common SYSTEM "common.ent">
 %common;
 ]>
@@ -354,7 +354,7 @@
       <!-- XXX -->
     </para>
   </refsect1>
-  
+
   <refsect1 id="exit_status">
     <title>EXIT STATUS</title>
     <para>
@@ -467,7 +467,7 @@
       Debug mode is conflated with running in the foreground.
     </para>
     <para>
-      The console log messages do not show a time stamp.
+      The console log messages does not show a time stamp.
     </para>
     <para>
       This server does not check the expire time of clients’ OpenPGP

=== modified file 'plugins.d/mandos-client.c'
--- plugins.d/mandos-client.c	2009-02-25 12:20:01 +0000
+++ plugins.d/mandos-client.c	2009-02-12 23:17:14 +0000
@@ -30,12 +30,8 @@
  */
 
 /* Needed by GPGME, specifically gpgme_data_seek() */
-#ifndef _LARGEFILE_SOURCE
 #define _LARGEFILE_SOURCE
-#endif
-#ifndef _FILE_OFFSET_BITS
 #define _FILE_OFFSET_BITS 64
-#endif
 
 #define _GNU_SOURCE		/* TEMP_FAILURE_RETRY(), asprintf() */
 
@@ -566,7 +562,7 @@
   
   memset(&to, 0, sizeof(to));
   if(af == AF_INET6){
-    to.in6.sin6_family = (sa_family_t)af;
+    to.in6.sin6_family = (uint16_t)af;
     ret = inet_pton(af, ip, &to.in6.sin6_addr);
   } else {			/* IPv4 */
     to.in.sin_family = (sa_family_t)af;

